#
# spec file for package rubygem-binding_of_caller
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-binding_of_caller
Version:        1.0.1
Release:        1.2
%define mod_name binding_of_caller
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/banister/binding_of_caller
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-binding_of_caller-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Retrieve the binding of a method's caller, or further up the stack
License:        MIT

%description
Provides the Binding#of_caller method.
Using binding_of_caller we can grab bindings from higher up the call stack and
evaluate code in that context.
Allows access to bindings arbitrarily far up the call stack, not limited to
just the immediate caller.
Recommended for use only in debugging situations. Do not use this in
production apps.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.0.1, no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.0.0
  see installed HISTORY
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.8.0
  see installed HISTORY
* Thu Oct 26 2017 coolo@suse.com
- updated to version 0.7.3
  see installed HISTORY
  [#]# 0.7.3.pre1 / 2014-08-20
  This release includes compatibility fixes for different ruby versions
  and some minor enhancements.
  * C Extensions are only compiled on MRI 1.9.x.
    For MRI >= 2 the native API is used, so this should speedup
    installation.
    For JRuby this will avoid crashes on gem installation.
    This was alredy being checked for Rubinius.
  * Amadeus Folego*
  * Added experimental JRuby support for 1.7.x series.
    Only the main API is implemented and `Binding#eval` is
    monkey-patched as it is private on JRuby.
    This requires the compiler to be run on interpreted mode,
    otherwise an exception will be thrown when `of_caller` is called.
  * Charles Nutter*
  * Remove executability from non-executable files.
  * David Celis*
  * Test and notice MRI 2.1 as a working Ruby implementation.
  * Lennart Fridén*
  [#]# 0.7.2 / 2013-06-07
* Tue Feb 10 2015 coolo@suse.com
- add rpmlintrc as source
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Wed Mar 19 2014 tboerger@novell.com
- Intial package 0.7.2
